IGREP(1)

NAME
igrep - search images for matching metadata

SYNOPSIS
igrep [options] pattern files...

DESCRIPTION
The igrep utility is invoked as follows: igrep [options] pattern filename... Where pattern is a POSIX.2 regular expression (just like the Unix/Linux grep(1) command), and filename (and any following names) specify images or directories that should be searched. An image file will "match" if any of its metadata contains values contain substring that are recognized regular expression. The image files may be of any format recognized by OpenImageIO (i.e., for which ImageInput plugins are available).

Example:
$ igrep Jack *.jpg
bar.jpg: Keywords = Carly; Jack
foo.jpg: Keywords = Jack
test7.jpg: ImageDescription = Jack on vacation

For a complete description, see /usr/share/doc/openimageio-doc/openimageio.pdf.gz.

OPTIONS

--help
    Print help message

-i  Ignore upper/lower case distinctions

-v  Invert match (select non-matching files)

-E  Pattern is an extended regular expression

-f  Match against file name as well as metadata

-l  List the matching files (no detail)

-r  Recurse into directories

-d  Print directories (when recursive)

-a  Search all subimages of each file

SEE ALSO
iconvert(1), idiff(1), iinfo(1), iv(1), maketx(1), oiiotool(1).

AUTHOR
OpenImageIO was written by Larry Gritz and the other authors and contributors.

This manual page was written by IRIE Shinsuke <irieshinsuke@yahoo.co.jp>, for the Debian project (and may be used by others).